Bug 479261 - There are no SGPIO application and dmevent_tool in default installation.
There are no SGPIO application and dmevent_tool in default installation.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dmraid (Show other bugs)
5.3
All Linux
low Severity high
: rc
: ---
Assigned To: Heinz Mauelshagen
Cluster QE
:
Depends On:
Blocks: 483047
  Show dependency treegraph
 
Reported: 2009-01-08 08:49 EST by Krzysztof Wojcik
Modified: 2009-09-02 07:16 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 483047 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:16:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Wojcik 2009-01-08 08:49:51 EST
Description of problem:

Packages:
- dmraid-events-1.0.0.rc13-33.el5.i386.rpm
- sgpio-1.2.0_10-2.el5.i386.rpm
are not in default installation of RHEL.
SGPIO and dmevent_tool are necessary to support all features offered by DMRAID application.

Is there possibility to add these packages to default installation in RHEL 5.3?
Comment 1 Krzysztof Wojcik 2009-01-19 03:09:42 EST
Installer dosed not include these packages to installation by default.
Could you add them to list?
Comment 2 Denise Dumas 2009-01-29 09:25:27 EST
We need to be sure that the SGPIO package is included during installations, but also that "yum update" will pick it up too, and people won't be able to 
accidentally delete it (and then break their dmraid setup).

Thus we need to make the dmraid and the mdadm packages require the sgpio package.
Actually, any other package utilizing LED management via sgpio should
require the sgpio package, but these are the only two I know of. 
This way, if a user installs the dmraid event handling package, the sgpio
package will be pulled in automatically.
Comment 3 Krzysztof Wojcik 2009-02-05 03:47:46 EST
When dependency on SGPIO will be added? In RHEL 5.4?
Comment 9 Chris Ward 2009-07-03 14:19:29 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 11 errata-xmlrpc 2009-09-02 07:16:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1347.html

Note You need to log in before you can comment on or make changes to this bug.